<html>
<head>
<title>OgreConfig.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#define-members">Defines</a>  </div>
  <div class="headertitle">
<div class="title">OgreConfig.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;OgreBuildSettings.h&quot;</code><br/>
</div>
<p><a href="OgreConfig_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#af6e491ff6b09be36783f1d8475477875">OGRE_ASSERT_MODE</a>&#160;&#160;&#160;0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">If set to 1, profiling code will be included in the application.  <a href="#af6e491ff6b09be36783f1d8475477875"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#a25da6395d80814d615a4db506aac2be0">OGRE_PRETEND_TEXTURE_UNITS</a>&#160;&#160;&#160;0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">If set to &gt;0, OGRE will always 'think' that the graphics card only has the number of texture units specified.  <a href="#a25da6395d80814d615a4db506aac2be0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#a73f03c4000193e826a1489b02ea50309">OGRE_MAX_TEXTURE_COORD_SETS</a>&#160;&#160;&#160;8</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">If set to 1, Real is typedef'ed to double.  <a href="#a73f03c4000193e826a1489b02ea50309"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#a1c5fd80e6e0f2f85d6facbe1ec8eb5a4">OGRE_MAX_TEXTURE_LAYERS</a>&#160;&#160;&#160;16</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define max number of texture layers allowed per pass on any card.  <a href="#a1c5fd80e6e0f2f85d6facbe1ec8eb5a4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>&#160;&#160;&#160;8</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define max number of lights allowed per pass.  <a href="#a3d20e242d4a6aab7de105d85608b286a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#aec70545291c5268ff4007e5516f09985">OGRE_MAX_BLEND_WEIGHTS</a>&#160;&#160;&#160;4</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define max number of blending weights allowed per vertex.  <a href="#aec70545291c5268ff4007e5516f09985"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#a683315b58ba5ad40de5c09e55d6104a4">OGRE_MEMORY_ALLOCATOR_STD</a>&#160;&#160;&#160;1</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define this if you want to link OGRE as a static lib (preferably as a project file)  <a href="#a683315b58ba5ad40de5c09e55d6104a4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#afb2e828c6c55f460c024949bc0d08642">OGRE_MEMORY_ALLOCATOR_NED</a>&#160;&#160;&#160;2</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#a1ac2a51b075dc484014170dff98106d6">OGRE_MEMORY_ALLOCATOR_USER</a>&#160;&#160;&#160;3</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#af91b19981d25544a977617242ec6898c">OGRE_MEMORY_ALLOCATOR_NEDPOOLING</a>&#160;&#160;&#160;4</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#a1555343fe7aade0966aa442f2e0c16f5">OGRE_MAX_MULTIPLE_RENDER_TARGETS</a>&#160;&#160;&#160;8</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Define max number of multiple render targets (MRTs) to render to at once.  <a href="#a1555343fe7aade0966aa442f2e0c16f5"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="af6e491ff6b09be36783f1d8475477875"></a><!-- doxytag: member="OgreConfig.h::OGRE_ASSERT_MODE" ref="af6e491ff6b09be36783f1d8475477875" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreConfig_8h.html#af6e491ff6b09be36783f1d8475477875">OGRE_ASSERT_MODE</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>If set to 1, profiling code will be included in the application. </p>
<p>When you are deploying your application you will probably want to set this to 0 There are three modes for handling asserts in OGRE: 0 - STANDARD - Standard asserts in debug builds, nothing in release builds 1 - RELEASE_EXCEPTIONS - Standard asserts in debug builds, exceptions in release builds 2 - EXCEPTIONS - Exceptions in debug builds, exceptions in release builds </p>

<p>Definition at line <a class="el" href="OgreConfig_8h_source.html#l00048">48</a> of file <a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>.</p>

</div>
</div>
<a class="anchor" id="aec70545291c5268ff4007e5516f09985"></a><!-- doxytag: member="OgreConfig.h::OGRE_MAX_BLEND_WEIGHTS" ref="aec70545291c5268ff4007e5516f09985" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreConfig_8h.html#aec70545291c5268ff4007e5516f09985">OGRE_MAX_BLEND_WEIGHTS</a>&#160;&#160;&#160;4</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Define max number of blending weights allowed per vertex. </p>

<p>Definition at line <a class="el" href="OgreConfig_8h_source.html#l00078">78</a> of file <a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1555343fe7aade0966aa442f2e0c16f5"></a><!-- doxytag: member="OgreConfig.h::OGRE_MAX_MULTIPLE_RENDER_TARGETS" ref="a1555343fe7aade0966aa442f2e0c16f5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreConfig_8h.html#a1555343fe7aade0966aa442f2e0c16f5">OGRE_MAX_MULTIPLE_RENDER_TARGETS</a>&#160;&#160;&#160;8</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Define max number of multiple render targets (MRTs) to render to at once. </p>

<p>Definition at line <a class="el" href="OgreConfig_8h_source.html#l00119">119</a> of file <a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3d20e242d4a6aab7de105d85608b286a"></a><!-- doxytag: member="OgreConfig.h::OGRE_MAX_SIMULTANEOUS_LIGHTS" ref="a3d20e242d4a6aab7de105d85608b286a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>&#160;&#160;&#160;8</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Define max number of lights allowed per pass. </p>

<p>Definition at line <a class="el" href="OgreConfig_8h_source.html#l00074">74</a> of file <a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>.</p>

</div>
</div>
<a class="anchor" id="a73f03c4000193e826a1489b02ea50309"></a><!-- doxytag: member="OgreConfig.h::OGRE_MAX_TEXTURE_COORD_SETS" ref="a73f03c4000193e826a1489b02ea50309" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreConfig_8h.html#a73f03c4000193e826a1489b02ea50309">OGRE_MAX_TEXTURE_COORD_SETS</a>&#160;&#160;&#160;8</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>If set to 1, Real is typedef'ed to double. </p>
<p>Otherwise, Real is typedef'ed to float. Setting this allows you to perform mathematical operations in the CPU (Quaternion, Vector3 etc) with more precision, but bear in mind that the GPU still operates in single-precision mode. Define number of texture coordinate sets allowed per vertex. </p>

<p>Definition at line <a class="el" href="OgreConfig_8h_source.html#l00066">66</a> of file <a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c5fd80e6e0f2f85d6facbe1ec8eb5a4"></a><!-- doxytag: member="OgreConfig.h::OGRE_MAX_TEXTURE_LAYERS" ref="a1c5fd80e6e0f2f85d6facbe1ec8eb5a4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreConfig_8h.html#a1c5fd80e6e0f2f85d6facbe1ec8eb5a4">OGRE_MAX_TEXTURE_LAYERS</a>&#160;&#160;&#160;16</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Define max number of texture layers allowed per pass on any card. </p>

<p>Definition at line <a class="el" href="OgreConfig_8h_source.html#l00070">70</a> of file <a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>.</p>

</div>
</div>
<a class="anchor" id="afb2e828c6c55f460c024949bc0d08642"></a><!-- doxytag: member="OgreConfig.h::OGRE_MEMORY_ALLOCATOR_NED" ref="afb2e828c6c55f460c024949bc0d08642" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreConfig_8h.html#afb2e828c6c55f460c024949bc0d08642">OGRE_MEMORY_ALLOCATOR_NED</a>&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConfig_8h_source.html#l00087">87</a> of file <a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>.</p>

</div>
</div>
<a class="anchor" id="af91b19981d25544a977617242ec6898c"></a><!-- doxytag: member="OgreConfig.h::OGRE_MEMORY_ALLOCATOR_NEDPOOLING" ref="af91b19981d25544a977617242ec6898c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreConfig_8h.html#af91b19981d25544a977617242ec6898c">OGRE_MEMORY_ALLOCATOR_NEDPOOLING</a>&#160;&#160;&#160;4</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConfig_8h_source.html#l00089">89</a> of file <a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>.</p>

</div>
</div>
<a class="anchor" id="a683315b58ba5ad40de5c09e55d6104a4"></a><!-- doxytag: member="OgreConfig.h::OGRE_MEMORY_ALLOCATOR_STD" ref="a683315b58ba5ad40de5c09e55d6104a4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreConfig_8h.html#a683315b58ba5ad40de5c09e55d6104a4">OGRE_MEMORY_ALLOCATOR_STD</a>&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Define this if you want to link OGRE as a static lib (preferably as a project file) </p>

<p>Definition at line <a class="el" href="OgreConfig_8h_source.html#l00086">86</a> of file <a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1ac2a51b075dc484014170dff98106d6"></a><!-- doxytag: member="OgreConfig.h::OGRE_MEMORY_ALLOCATOR_USER" ref="a1ac2a51b075dc484014170dff98106d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreConfig_8h.html#a1ac2a51b075dc484014170dff98106d6">OGRE_MEMORY_ALLOCATOR_USER</a>&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreConfig_8h_source.html#l00088">88</a> of file <a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>.</p>

</div>
</div>
<a class="anchor" id="a25da6395d80814d615a4db506aac2be0"></a><!-- doxytag: member="OgreConfig.h::OGRE_PRETEND_TEXTURE_UNITS" ref="a25da6395d80814d615a4db506aac2be0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreConfig_8h.html#a25da6395d80814d615a4db506aac2be0">OGRE_PRETEND_TEXTURE_UNITS</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>If set to &gt;0, OGRE will always 'think' that the graphics card only has the number of texture units specified. </p>
<p>Very useful for testing multipass fallback. </p>

<p>Definition at line <a class="el" href="OgreConfig_8h_source.html#l00053">53</a> of file <a class="el" href="OgreConfig_8h_source.html">OgreConfig.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
